SuperTux Bug Tracker
SuperTux logo


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000101supertuxGame Enginepublic2007-01-20 09:082015-10-21 09:42
Reportersommer 
Assigned To 
PrioritynormalSeverityminorReproducibilityN/A
StatusnewResolutionreopened 
PlatformOSOS Version
Product Version0.3.0 
Target VersionFixed in Version 
Summary0000101: The collision detection code doesn't move tux completely out of the collision on slopes
DescriptionThe collision detection code doesn't move tux completely out of the collision on slopes. All cases where this had bad effects should be worked around at the moment, so this bug has very low priority.

TagsAttachedFiles
Fixed in GIT revision
Fixed in subversion revision
Attached Files? file icon bug101.stl [^] (15,219 bytes) 2010-03-12 02:34

- Relationships
related to 0000149closed supertux-meta Clean buglist from old Wiki TODO items that are no longer relevant 

-  Notes
(0001639)
octo (administrator)
2010-02-04 23:06

Is this bug still applicable? What exactly were those "bad effects"?
(0001673)
octo (administrator)
2010-02-11 23:30

Hi, I don't know how to reproduce the bug and I haven't observed any "bad effects" lately. I'm suspending the bug for now, please reopen and provide reproducibility information if it still applies. Thanks, -octo
(0001726)
lazure (reporter)
2010-03-02 20:44

Bad effects found on my map I'm working on, with these tiles, Tux dies instantly if he walks into these corners as shown in the screenshot:

http://img51.imageshack.us/img51/4214/supertuxidiehere.png [^]
(0001727)
mathnerd314 (administrator)
2010-03-02 21:48

Reopening.
(0001739)
octo (administrator)
2010-03-07 23:34

Hi lazure, could you please attach your test level so I can try to reproduce the
bug? Thanks, -octo
(0001754)
octo (administrator)
2010-03-12 02:27

I think I found the place in "Crystal Cataclysm" (bug 0000594), but I wasn't able to reproduce the bug there. —octo
(0001755)
octo (administrator)
2010-03-12 02:31

Oh, you put invisible solid blocks in there to avoid the problem. I was able to reproduce the bug after removing those.
(0001756)
octo (administrator)
2010-03-12 02:35

Attached a file which makes it easy to reproduce the bug.
(0001777)
mattmccutchen2 (administrator)
2010-03-16 15:30

Ah, the problem in bug101.stl is the same one described in 0000456:0001269, second paragraph.

I'm not happy to morph this ticket to cover a specific slope collision-detection bug we discovered without knowing what Christoph originally meant. If another such bug comes along, will we morph the ticket again? That would be weird. Instead, let's enter specific issues separately and either close this ticket or turn it into a tracker for slope collision detection.
(0003791)
hume2 (administrator)
2015-10-21 09:42

Partially fixed.
It's still possible to die in the 200% slopes, but you must know how.

- Issue History
Date Modified Username Field Change
2007-01-20 09:08 sommer New Issue
2007-01-28 07:54 Ravu al Hemio Status new => acknowledged
2007-01-30 08:12 sommer Relationship added related to 0000149
2010-02-04 23:06 octo Note Added: 0001639
2010-02-11 23:30 octo Note Added: 0001673
2010-02-11 23:30 octo Status acknowledged => resolved
2010-02-11 23:30 octo Resolution open => suspended
2010-02-11 23:30 octo Assigned To => octo
2010-03-02 20:44 lazure Note Added: 0001726
2010-03-02 21:48 mathnerd314 Assigned To octo =>
2010-03-02 21:48 mathnerd314 Note Added: 0001727
2010-03-02 21:48 mathnerd314 Status resolved => new
2010-03-02 21:48 mathnerd314 Resolution suspended => reopened
2010-03-07 23:34 octo Note Added: 0001739
2010-03-12 02:27 octo Note Added: 0001754
2010-03-12 02:31 octo Note Added: 0001755
2010-03-12 02:34 octo File Added: bug101.stl
2010-03-12 02:35 octo Note Added: 0001756
2010-03-16 15:30 mattmccutchen2 Note Added: 0001777
2012-09-08 05:51 superdev Tag Attached: AttachedFiles
2015-10-21 09:42 hume2 Note Added: 0003791


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker